<?php /*2019.10.28*/ 

    session_start();

    if (isset($_SESSION['loggedin']) == TRUE)
    {
        header("location:" . "user_update.php");
    }

    $db = new SQLite3('./api/.db.db');
    $db->exec("CREATE TABLE IF NOT EXISTS users(id INTEGER PRIMARY KEY,username TEXT ,password TEXT)");

    $rows = $db->query("SELECT COUNT(*) as count FROM users");
    $row = $rows->fetchArray();
    $numRows = $row['count'];
    if ($numRows == 0)
    {
        $db->exec("INSERT INTO users(id ,username, password) VALUES('1' ,'admin', 'admin')");
    }

    if (isset($_POST["login"]))
    {
        if (!$db)
        {
            echo $db->lastErrorMsg();
        }
        else
        {
            //
        }
        $sql = 'SELECT * from users where username="' . $_POST["username"] . '";';
        $ret = $db->query($sql);
        while ($row = $ret->fetchArray())
        {
            $id = $row['id'];
            $username = $row['username'];
            $password = $row['password'];
        }
        if ($id != "")
        {
            if ($password == $_POST["password"])
            {
                session_regenerate_id();
                $_SESSION['loggedin'] = TRUE;
                $_SESSION['name'] = $_POST['username'];
                header('Location: user_update.php');
            }
            else
            {
                header('Location: ./api/index.php');
            }
        }
        else
        {
            header('Location: ./api/index.php');
        }
        $db->close();
    }

echo "<style>\n";
echo "html,\n";
echo "body {\n";
echo "background:url(./img/bg.jpg);\n";
echo "height: 100vh;\n";
echo "background-size:cover;\n";
echo "background-repeat:no-repeat;\n";
echo "background-attachment:fixed;\n";
echo "padding:0;\n";
echo "margin:0;\n";
echo "}\n";
echo "</style>\n";
echo "<!DOCTYPE html>\n";
echo "<html lang=\"en\">\n";
echo "<head>\n";
echo "	<meta charset=\"utf-8\">\n";
echo "	<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, shrink-to-fit=no\">\n";
echo "	<meta name=\"author\" content=\"InterumE Rebranding\">\n";
echo "	<link rel=\"stylesheet\" href=\"https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css\">\n";
echo "    <title>InterumE Rebranding</title>\n";
echo "</head>\n";
echo "<br><br>\n";
echo "        <div class=\"container\">\n";
echo "            <div class=\"row\">\n";
echo "                <div class=\"col-lg-4 mx-md-auto\">\n";
echo "                    <div class=\"text-center\">\n";
echo "                        <img class=\"w-75 p-3\" src=\"./img/logo.png\" alt=\"\">\n";
echo "                    </div>\n";
echo "                    <br>\n";
echo "                    <form method=\"post\">\n";
echo "                        <div class=\"form-group\">\n";
echo "                            <input type=\"text\" class=\"form-control form-control-lg\"\n";
echo "                                   placeholder=\"Username\" name=\"username\" required autofocus>\n";
echo "                        </div>\n";
echo "                        <div class=\"form-group\">\n";
echo "                            <input type=\"text\" class=\"form-control form-control-lg\"\n";
echo "                                   placeholder=\"Password\" name=\"password\" required>\n";
echo "                        </div>\n";
echo "                        <input type=\"submit\" class=\"btn btn-primary btn-lg btn-block\" value=\"Log In\" name=\"login\">\n";
echo "                    </form>\n";
echo "                </div>\n";
echo "            </div>\n";
echo "        </div>\n";
echo "<br><br>\n";
echo "\n";
echo "<script src=\"https://code.jquery.com/jquery-3.3.1.js\"></script>\n";
echo "<script src=\"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js\" integrity=\"sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49\" crossorigin=\"anonymous\"></script>\n";
echo "<script src=\"https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js\" integrity=\"sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy\" crossorigin=\"anonymous\"></script>\n";
include ('includes/footer.php');
echo "\n";



?>